Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#39 JEdit.exe not finding Java

closed-invalid
nobody
None
5
2011-06-15
2011-05-25
Sami Mikhail
No

Installed 4.4pre1.
running server mode.
Using java 1.6.0_25

Shell extension now uses JEdit.exe to launch. Getting pop up dialog:
"The registry refers to a nonexistent Java Runtime Environment installation or the runtime is corrupted.

The system cannot find the path specified."

Clicking OK takes me to the JEdit.org home page.

Workaround:
in Registry, change all references to JEdit.exe to JEdit.bat. All is well again (other than the annoying flash of a cmd box on launch. :) )

From activity log:
5:10:18 PM [main] [message] Log: When reporting bugs, please include the following information:
5:10:18 PM [main] [message] Log: java.version=1.6.0_25
5:10:18 PM [main] [message] Log: java.vm.version=20.0-b11
5:10:18 PM [main] [message] Log: java.runtime.version=1.6.0_25-b06
5:10:18 PM [main] [message] Log: java.vendor=Sun Microsystems Inc.
5:10:18 PM [main] [message] Log: java.compiler=null
5:10:18 PM [main] [message] Log: os.name=Windows 7
5:10:18 PM [main] [message] Log: os.version=6.1
5:10:18 PM [main] [message] Log: os.arch=x86
5:10:18 PM [main] [message] Log: user.home=C:\Users\smikhail
5:10:18 PM [main] [message] Log: java.home=C:\Program Files\Java\jre6
5:10:18 PM [main] [message] Log: java.class.path=C:\opensource\jEdit\jedit.jar

Discussion

  • Björn Kautler
    Björn Kautler
    2011-06-14

    • status: open --> pending
     
  • Björn Kautler
    Björn Kautler
    2011-06-14

    I suggest you reinstall latest Java. This sounds to me as if you have a corrupted registry e. g. by installing a Java version and deleting its installed files instead of cleanly uninstalling it, or maybe a broken uninstall. The EXE launcher searches for Java installations in the registry and in your case it seems to have found registry entries that point to non-existant files like the error message suggests. The BAT launcher doesn't look at the registry and thus is not affected by this registry corruption. You can also have a look at the registry yourself, comparing it with your actual files on disk. You can look at the registry by invoking "regedit". And there I think the keys you have to look at are HKLM/SOFTWARE/JavaSoft. There you have subkeys Java Development Kit and Java Runtime Environment. jEdit should take the newest Java Development Kit that is at least 1.6 if present or the newest Java Runtime Environment that is at lesat 1.6 if not.

     
  • Sami Mikhail
    Sami Mikhail
    2011-06-15

    Suggestion to re-install Java cleared the problem. Thanks vampire0.

    BTW: for clarity, I uninstalled Java AND cleared the registry of ALL references to Java AND reinstalled JEdit for good measure.

     
  • Sami Mikhail
    Sami Mikhail
    2011-06-15

    • status: pending --> open
     
  • Björn Kautler
    Björn Kautler
    2011-06-15

    Reinstalling jEdit shouldn't make much difference anymore. jEdit used to detect the Java Runtime at install time, but since the EXE launcher does the discovery of the Java Runtime this is done at invocation time.

    Closing as invalid as it is no jEdit issue but corrupt registry from Java.

     
  • Björn Kautler
    Björn Kautler
    2011-06-15

    • status: open --> closed-invalid